### 5.1.89 modulo

`Syntax:`
  `modulo (` ideal_expression`,` ideal_expression `)`
  `modulo (` module_expression`,` module_expression `)`
`Type:`
  module
`Purpose:`
  `modulo(h1,h2)` represents where and are considered as submodules of the same free module (l=1 for ideals). Let , resp. ,be the matrices of size , resp. , having the generators of , resp. ,as columns. Then where is the induced map.
  `modulo(h1,h2)` returns generators of the kernel of this induced map.
`Note:`
  If for at least one of `h1` or `h2` the attribute `"isHomog"` is set, `modulo(h1,h2)` also sets the attribute `"isHomog"` (if possible, that is, if the weights are compatible).
`Example:`

        ring r;
        ideal h1=x,y,z;
        ideal h2=x;
        module m=modulo(h1,h2);
        print(m);
      ==> 1,0, 0,0,
      ==> 0,-z,x,0,
      ==> 0,y, 0,x

See hom_kernel; syz.

User manual for Singular version 4-0-3, 2016, generated by texi2html.